Bug 507578 - RFE: Allow partitioning on RAID
RFE: Allow partitioning on RAID
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
:
: 514107 709130 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-23 07:25 EDT by Dr. Tilmann Bubeck
Modified: 2015-09-11 11:31 EDT (History)
4 users (show)

See Also:
Fixed In Version: python-blivet-1.12-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-11 11:31:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dr. Tilmann Bubeck 2009-06-23 07:25:17 EDT
Description of problem:

Currently you want the user to create some partitions and combine them to a RAID. This RAID contains a file system and is mounted somewhere. The following picture shows the current situation:

sda1 \
sdb1  >-- md0 -- ext3 -- /usr
sdc1 /

sda2 \
sdb2  >-- md1 -- ext3 -- /var
sdc2 /

Please extend anaconda, so that it is possible to first create a RAID (on complete disks or partitions) and then partition this RAID into multiple file systems. The functionality can be found in mdadm --auto=mdp where MDP means "RAID with partitions". This could look like:

sda \            / -- md0p0 -- ext3 -- /usr
sdb  >--- md0 --<
sdc /            \ -- md0p1 -- ext3 -- /var

More info can be found at: http://linux-raid.osdl.org/index.php/Partitioning_RAID_/_LVM_on_RAID

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. 
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 David Lehman 2009-10-19 13:48:46 EDT
*** Bug 514107 has been marked as a duplicate of this bug. ***
Comment 2 Bug Zapper 2010-04-27 11:11:45 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Dr. Tilmann Bubeck 2010-04-27 14:57:50 EDT
It is still open for FC13-Beta.
Comment 4 David Lehman 2011-05-31 12:02:28 EDT
*** Bug 709130 has been marked as a duplicate of this bug. ***
Comment 5 Bug Zapper 2011-06-02 13:59:48 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Dr. Tilmann Bubeck 2011-06-03 05:24:16 EDT
It is still open for F15. David Lehman thankfully changed version to "rawhide".
Comment 7 David Lehman 2015-09-11 11:31:51 EDT
As of python-blivet-1.12-1 existing md arrays whose members are all whole disks are treated as partitionable disks.

Note You need to log in before you can comment on or make changes to this bug.